Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.impl.common
Class MessageSignalImpl

    java.lang.Object
      com.sun.enterprise.ee.cms.impl.common.MessageSignalImpl

All Implemented Interfaces:
  MessageSignal, Signal

    public class MessageSignalImpl

extends Object
implements MessageSignal

Implements MessageSignal and provides methods to access message sent by a remote member.

Version:
  $Revision: 1.2 $
Author:
  Shreedhar Ganapathy Date: Jan 20, 2004

Constructor Summary
`MessageSignalImpl(byte[] message, String targetComponent, String sender, String groupName, long startTime)`

Method Summary
`void` | `acquire()` Signal is acquired prior to processing of the signal to protect group resources being acquired from being affected by a race condition
`String` | `getGroupName()` returns the group to which the member involved in the Signal belonged to
`Map<Serializable,Serializable>` | `getMemberDetails()` returns the details of the member who caused this Signal to be generated returns a Map containing key-value pairs constituting data pertaining to the member's details
`String` | `getMemberToken()` returns the identity token of the member that caused this signal to be generated.
`byte[]` | `getMessage()` Returns the message(payload) as a byte array.
`long` | `getStartTime()` returns the start time of the member involved in this Signal.
`String` | `getTargetComponent()` Returns the target component in this member to which this message is addressed.
`void` | `release()` Signal is released after processing of the signal to bring the group resources to a state of availability

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageSignalImpl

    public MessageSignalImpl(byte[] message,
                             String targetComponent,
                             String sender,
                             String groupName,
                             long startTime)

Method Detail

### getTargetComponent

    public String getTargetComponent()

  Returns the target component in this member to which this message is addressed.

  Specified by:
    `getTargetComponent` in interface `MessageSignal`
  Returns:
    String targetComponent

### getMessage

    public byte[] getMessage()

  Returns the message(payload) as a byte array.

  Specified by:
    `getMessage` in interface `MessageSignal`
  Returns:
    byte[]

### acquire

    public void acquire()
                 throws SignalAcquireException

  Signal is acquired prior to processing of the signal to protect group resources being acquired from being affected by a race condition

  Specified by:
    `acquire` in interface `Signal`
  Throws:
    `SignalAcquireException`

### release

    public void release()
                 throws SignalReleaseException

  Signal is released after processing of the signal to bring the group resources to a state of availability

  Specified by:
    `release` in interface `Signal`
  Throws:
    `SignalReleaseException`

### getMemberToken

    public String getMemberToken()

  Description copied from interface: `Signal`
  returns the identity token of the member that caused this signal to be generated. For instance, in the case of a MessageSignal, this member token would be the sender. In the case of a FailureNotificationSignal, this member token would be the failed member. In the case of a JoinNotificationSignal or GracefulShutdownSignal, the member token would be the member who joined or is being gracefully shutdown, respectively.

  Specified by:
    `getMemberToken` in interface `Signal`
  Returns:
    returns the identity token of the member

### getMemberDetails

    public Map<Serializable,Serializable> getMemberDetails()

  Description copied from interface: `Signal`
  returns the details of the member who caused this Signal to be generated returns a Map containing key-value pairs constituting data pertaining to the member's details

  Specified by:
    `getMemberDetails` in interface `Signal`
  Returns:
    Map

### getGroupName

    public String getGroupName()

  returns the group to which the member involved in the Signal belonged to

  Specified by:
    `getGroupName` in interface `Signal`
  Returns:
    String

### getStartTime

    public long getStartTime()

  Description copied from interface: `Signal`
  returns the start time of the member involved in this Signal.

  Specified by:
    `getStartTime` in interface `Signal`
  Returns:
    long - time stamp of when this member started

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.